> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all scheduled payments associated with an insight

> Use this endpoint to list all the scheduled payments associated with the insight.



## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /users/{user_guid}/insights/{insight_guid}/scheduled_payments
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/insights/{insight_guid}/scheduled_payments:
    get:
      tags:
        - insights
      summary: List all scheduled payments associated with an insight
      description: >-
        Use this endpoint to list all the scheduled payments associated with the
        insight.
      operationId: listScheduledPaymentsInsight
      parameters:
        - $ref: '#/components/parameters/userGuid'
        - $ref: '#/components/parameters/insightGuid'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/recordsPerPage'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/ScheduledPaymentsResponseBody'
          description: OK
components:
  parameters:
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
    insightGuid:
      description: The unique identifier for the insight. Defined by MX.
      example: BET-1234-abcd
      in: path
      name: insight_guid
      required: true
      schema:
        type: string
    page:
      description: Results are paginated. Specify current page.
      example: 1
      in: query
      name: page
      schema:
        type: integer
    recordsPerPage:
      description: >-
        This specifies the number of records to be returned on each page.
        Defaults to `25`. The valid range is from `10` to `100`. If the value
        exceeds `100`, the default value of `25` will be used instead.
      example: 10
      in: query
      name: records_per_page
      schema:
        type: integer
  schemas:
    ScheduledPaymentsResponseBody:
      properties:
        scheduled_payments:
          items:
            $ref: '#/components/schemas/ScheduledPaymentResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    ScheduledPaymentResponse:
      properties:
        amount:
          example: 13.54
          type: number
        created_at:
          example: '2023-04-27T23:14:16Z'
          type: string
        description:
          example: Netflix
          type: string
        guid:
          example: SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a
          type: string
        is_completed:
          example: false
          type: boolean
        is_recurring:
          example: true
          type: boolean
        merchant_guid:
          example: MCH-b8a2624c-2176-59ec-c150-37854bc38aa8
          type: string
        occurs_on:
          example: '2022-01-15'
          type: string
        recurrence_day:
          example: 15
          type: integer
        recurrence_type:
          example: EVERY_MONTH
          type: string
        transaction_type:
          example: DEBIT
          type: string
        updated_at:
          example: '2023-04-27T23:14:16Z'
          type: string
        user_guid:
          example: USR-72086f59-6684-4adf-8f29-c4d32db43cd7
          type: string
      type: object
    PaginationResponse:
      properties:
        current_page:
          example: 1
          type: integer
        per_page:
          example: 25
          type: integer
        total_entries:
          example: 1
          type: integer
        total_pages:
          example: 1
          type: integer
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````